org.keycloak.adapters.undertow

## Class UndertowHttpFacade.ResponseFacade

- java.lang.Object
- - org.keycloak.adapters.undertow.UndertowHttpFacade.ResponseFacade

- All Implemented Interfaces:
    HttpFacade.Response
  Enclosing class:
    UndertowHttpFacade

      protected class UndertowHttpFacade.ResponseFacade
      extends Object
      implements HttpFacade.Response

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UndertowHttpFacade.ResponseFacade()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHeader(String name, String value)`
    `void` | `end()` If the response is finished, end it.
    `OutputStream` | `getOutputStream()`
    `void` | `resetCookie(String name, String path)`
    `void` | `sendError(int code, String message)`
    `void` | `setCookie(String name, String value, String path, String domain, int maxAge, boolean secure, boolean httpOnly)`
    `void` | `setHeader(String name, String value)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndertowHttpFacade.ResponseFacade

          protected UndertowHttpFacade.ResponseFacade()

  - ### Method Detail

    - #### setStatus

          public void setStatus(int status)

      Specified by:
        `setStatus` in interface `HttpFacade.Response`

    - #### addHeader

          public void addHeader(String name,
                       String value)

      Specified by:
        `addHeader` in interface `HttpFacade.Response`

    - #### setHeader

          public void setHeader(String name,
                       String value)

      Specified by:
        `setHeader` in interface `HttpFacade.Response`

    - #### resetCookie

          public void resetCookie(String name,
                         String path)

      Specified by:
        `resetCookie` in interface `HttpFacade.Response`

    - #### setCookie

          public void setCookie(String name,
                       String value,
                       String path,
                       String domain,
                       int maxAge,
                       boolean secure,
                       boolean httpOnly)

      Specified by:
        `setCookie` in interface `HttpFacade.Response`

    - #### getOutputStream

          public OutputStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `HttpFacade.Response`

    - #### sendError

          public void sendError(int code,
                       String message)

      Specified by:
        `sendError` in interface `HttpFacade.Response`

    - #### end

          public void end()

      Description copied from interface: `HttpFacade.Response`
      If the response is finished, end it.
      Specified by:
        `end` in interface `HttpFacade.Response`

Copyright © 2015. All Rights Reserved.